ADTECH.ready(function() {
	var doc = document;
	var win = window;
	var clk = doc.getElementById('clk');
	var vid = doc.getElementById("smartPlayerContainer");
	var sound = doc.getElementById("sound");
	var mute = doc.getElementById("mute");
	var unmute = doc.getElementById("unmute");
	var isMuted = true;
	var isPlaying = false;
	var firstPlay = false;
	var elms = {
		bg: doc.getElementsByClassName('background')[0],
		toptext: doc.getElementsByClassName('toptext')[0],
		logo: doc.getElementsByClassName('logo')[0],
		text: doc.getElementsByClassName('text')[0],
		text2: doc.getElementsByClassName('text2')[0],
		ac: doc.getElementsByClassName('arrowcontainer')[0]
	};

	ADTECH.require(['SmartVideoPlayer'], function(SmartVideoPlayer) {
	player = ADTECH.modules.SmartVideoPlayer.createPlayer({
  container: 'smartPlayerContainer',
		width: 300,
		height: 168,
		autoplay: true,
		muted: true,
		name: 'video',
		id: 'player',
		src: {
			mp4: 'video.mp4'
    }
  });
	function doSomething() {
		sound.style.display = "block";
		isPlaying = true;
	}
				
	ADTECH.addEventListener("partlyInView", function(e) {
		if(isPlaying === false){  
			doSomething();
		}
	});
	ADTECH.addEventListener("almostInScrollPosition", function(e) {
		if(isPlaying === false){  
			doSomething();
		}
	});
	ADTECH.addEventListener("inScrollPosition", function(e) {
		if(isPlaying === false){  
			doSomething();
		}
	});
  ADTECH.addEventListener("outOffScrollPosition", function(e) {
		if(firstPlay === true && isPlaying === true){
			player.pause();
			isPlaying = false;
			if(!isMuted){
				player.muted = true;
				sound.style.display = "none";
			}
		}
	});
	ADTECH.addEventListener('updatePercentage',function(e){
		if(e.perc<0.2){
						player.pause();
						isPlaying = false;
					}else{
						player.play();
						isPlaying = true;
					}	
	});
	
	player.on(SmartVideoPlayer.event.READY, function() {
		sound.style.display = "block";
	});
	
	player.on(SmartVideoPlayer.event.ENDED, function() {
		doSomething();
	});
	
	
	sound.onclick = function(e) {
						if(isMuted){
							unmute.style.display = "none";	
							player.unmute();
							isMuted = false;
						} else {
							player.mute();
							isMuted = true;
						}				
				};
   });


    function stopPropagation(e) {
        if (e.stopPropagation) {
            e.stopPropagation();
        } else {
            e.returnValue = false;
            e.cancelBubble = true;
        }
    }

    var posPlayer = function() {
        function del() {
            var dim = com.adtech.Utils.getViewportDims();
						var landscape = doc.getElementsByClassName('landscapeicon')[0];
						var image = doc.getElementsByClassName('image')[0];
						var logo = doc.getElementsByClassName('logo')[0];
						
            if (dim.w > dim.h) {
                vid.style.height = (vid.clientWidth / (480 / 270)) + 'px';
                doc.body.className = 'landscape';
								landscape.style.display = 'none';
            } else {
								landscape.style.display = 'block';

                vid.style.height = (vid.clientWidth / (480 / 270)) + 'px';
                doc.body.className = 'portrait';
                if (doc.body.clientHeight <= 482) {
                }else{

								}
							
            }
					
						image.style.top = ((logo.offsetTop + logo.clientHeight)) +'px';
						logo.style.top = ((vid.offsetTop - logo.clientHeight)-logo.clientHeight)+'px';							

        }
        del();

        setTimeout(del, 10);
        setTimeout(del, 70);
    };

    window.onresize = function() {
        posPlayer();
    };

    posPlayer();
	
	clk.onclick = function(){
			ADTECH.click('main','http://www.adsolutions.com');
	};
	
});
